Skip to main content
POST
/
api
/
Contact
/
Proximity
Find all Contacts within a given proximity of a geocoordinate
curl --request POST \
  --url https://api.virtuoussoftware.com/api/Contact/Proximity \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "latitude": "<double>",
  "longitude": "<double>",
  "distanceInMiles": "<integer>"
}
'
[
  {
    "id": "<integer>",
    "name": "<string>",
    "address": "<string>",
    "lifeToDateGiving": "<string>",
    "contactViewUrl": "<string>",
    "latitude": "<double>",
    "longitude": "<double>"
  },
  {
    "id": "<integer>",
    "name": "<string>",
    "address": "<string>",
    "lifeToDateGiving": "<string>",
    "contactViewUrl": "<string>",
    "latitude": "<double>",
    "longitude": "<double>"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

skip
string

The number of records to skip. Default = 0.

take
string

The number of records to take. Default = 10.

Body

application/json
latitude
string
longitude
string
distanceInMiles
string

Response

OK

id
string
name
string
address
string
lifeToDateGiving
string
contactViewUrl
string
latitude
string
longitude
string
Last modified on June 5, 2026